Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotCache

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotCache

public class PivotCache extends Object
The Class PivotCache.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotCache()`
  Instantiates a new pivot cache.
  `PivotCache​(byte[] buffer, Relationship relationship, String pivotCacheFilePath)`
  Instantiates a new pivot cache.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotCache`
  `clone()`
  `int`
  `getCacheID()`
  Gets the cache id.
  `int`
  `getCreatedVersion()`
  Gets the created version.
  `List<PivotCacheField>`
  `getFields()`
  Gets the fields.
  `String`
  `getLastRefreshedBy()`
  Gets the last refreshed by.
  `double`
  `getLastRefreshedDate()`
  Gets the last refreshed date.
  `int`
  `getLastRefreshedVersion()`
  Gets the last refreshed version.
  `int`
  `getMinimumRefreshableVersionAttribute()`
  Gets the minimum refreshable version attribute.
  `int`
  `getMissingItemsLimit()`
  Gets the missing items limit.
  `String`
  `getPivotCacheFilePath()`
  Gets the pivot cache file path.
  `PivotCacheRecords`
  `getPivotCacheRecords()`
  Gets the pivot cache records.
  `int`
  `getRecordCount()`
  Gets the record count.
  `List<PivotCacheRecord>`
  `getRecords()`
  Gets the records.
  `String`
  `getRecordsReference()`
  `PivotCacheSource`
  `getSource()`
  Gets the source.
  `boolean`
  `isBackgroundQuery()`
  Checks if is background query.
  `boolean`
  `isEnableRefresh()`
  Checks if is enable refresh.
  `boolean`
  `isInvalid()`
  Checks if is invalid.
  `boolean`
  `isOptimizeMemory()`
  Checks if is optimize memory.
  `boolean`
  `isRefreshOnLoad()`
  Checks if is refresh on load.
  `boolean`
  `isSaveData()`
  Checks if is save data.
  `boolean`
  `isStoreCacheForOlapFunctions()`
  Checks if is store cache for olap functions.
  `boolean`
  `isSupportAdvancedDrill()`
  Checks if is support advanced drill.
  `boolean`
  `isSupportSubquery()`
  Checks if is support subquery.
  `boolean`
  `isUpgradeOnRefresh()`
  Checks if is upgrade on refresh.
  `void`
  `setBackgroundQuery​(boolean backgroundQuery)`
  Sets the background query.
  `void`
  `setCacheID​(int cacheID)`
  Sets the cache id.
  `void`
  `setCreatedVersion​(int createdVersion)`
  Sets the created version.
  `void`
  `setEnableRefresh​(boolean enableRefresh)`
  Sets the enable refresh.
  `void`
  `setInvalid​(boolean isInvalid)`
  Sets the invalid.
  `void`
  `setLastRefreshedBy​(String lastRefreshedBy)`
  Sets the last refreshed by.
  `void`
  `setLastRefreshedDate​(double lastRefreshedDate)`
  Sets the last refreshed date.
  `void`
  `setLastRefreshedVersion​(int lastRefreshedVersion)`
  Sets the last refreshed version.
  `void`
  `setMinimumRefreshableVersionAttribute​(int minimumRefreshableVersion)`
  Sets the minimum refreshable version attribute.
  `void`
  `setMissingItemsLimit​(int missingItemsLimit)`
  Sets the missing items limit.
  `void`
  `setOptimizeMemory​(boolean optimizeMemory)`
  Sets the optimize memory.
  `void`
  `setRecordCount​(int recordCount)`
  Sets the record count.
  `void`
  `setRecordsReference​(String value)`
  `void`
  `setRefreshOnLoad​(boolean refreshOnLoad)`
  Sets the refresh on load.
  `void`
  `setSaveData​(boolean saveData)`
  Sets the save data.
  `void`
  `setSource​(PivotCacheSource source)`
  Sets the source.
  `void`
  `setStoreCacheForOlapFunctions​(boolean storeCacheForOlapFunctions)`
  Sets the store cache for olap functions.
  `void`
  `setSupportAdvancedDrill​(boolean supportAdvancedDrill)`
  Sets the support advanced drill.
  `void`
  `setSupportSubquery​(boolean supportSubquery)`
  Sets the support subquery.
  `void`
  `setUpgradeOnRefresh​(boolean upgradeOnRefresh)`
  Sets the upgrade on refresh.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotCache

    public PivotCache()
    Instantiates a new pivot cache.

  - ### PivotCache

    public PivotCache​(byte[] buffer, Relationship relationship, String pivotCacheFilePath) throws XMLStreamException
    Instantiates a new pivot cache.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
      `pivotCacheFilePath` - the pivot cache file path
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getRecordsReference

    public String getRecordsReference()

  - ### setRecordsReference

    public void setRecordsReference​(String value)

  - ### clone

    public PivotCache clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRecords

    public List<PivotCacheRecord> getRecords()
    Gets the records.
    Returns:
      the records

  - ### getSource

    public PivotCacheSource getSource()
    Gets the source.
    Returns:
      the source

  - ### setSource

    public void setSource​(PivotCacheSource source)
    Sets the source.
    Parameters:
      `source` - the new source

  - ### getFields

    public List<PivotCacheField> getFields()
    Gets the fields.
    Returns:
      the fields

  - ### isBackgroundQuery

    public boolean isBackgroundQuery()
    Checks if is background query.
    Returns:
      true, if is background query

  - ### setBackgroundQuery

    public void setBackgroundQuery​(boolean backgroundQuery)
    Sets the background query.
    Parameters:
      `backgroundQuery` - the new background query

  - ### getCreatedVersion

    public int getCreatedVersion()
    Gets the created version.
    Returns:
      the created version

  - ### setCreatedVersion

    public void setCreatedVersion​(int createdVersion)
    Sets the created version.
    Parameters:
      `createdVersion` - the new created version

  - ### isEnableRefresh

    public boolean isEnableRefresh()
    Checks if is enable refresh.
    Returns:
      true, if is enable refresh

  - ### setEnableRefresh

    public void setEnableRefresh​(boolean enableRefresh)
    Sets the enable refresh.
    Parameters:
      `enableRefresh` - the new enable refresh

  - ### isInvalid

    public boolean isInvalid()
    Checks if is invalid.
    Returns:
      true, if is invalid

  - ### setInvalid

    public void setInvalid​(boolean isInvalid)
    Sets the invalid.
    Parameters:
      `isInvalid` - the new invalid

  - ### getMinimumRefreshableVersionAttribute

    public int getMinimumRefreshableVersionAttribute()
    Gets the minimum refreshable version attribute.
    Returns:
      the minimum refreshable version attribute

  - ### setMinimumRefreshableVersionAttribute

    public void setMinimumRefreshableVersionAttribute​(int minimumRefreshableVersion)
    Sets the minimum refreshable version attribute.
    Parameters:
      `minimumRefreshableVersion` - the new minimum refreshable version attribute

  - ### getMissingItemsLimit

    public int getMissingItemsLimit()
    Gets the missing items limit.
    Returns:
      the missing items limit

  - ### setMissingItemsLimit

    public void setMissingItemsLimit​(int missingItemsLimit)
    Sets the missing items limit.
    Parameters:
      `missingItemsLimit` - the new missing items limit

  - ### isOptimizeMemory

    public boolean isOptimizeMemory()
    Checks if is optimize memory.
    Returns:
      true, if is optimize memory

  - ### setOptimizeMemory

    public void setOptimizeMemory​(boolean optimizeMemory)
    Sets the optimize memory.
    Parameters:
      `optimizeMemory` - the new optimize memory

  - ### getRecordCount

    public int getRecordCount()
    Gets the record count.
    Returns:
      the record count

  - ### setRecordCount

    public void setRecordCount​(int recordCount)
    Sets the record count.
    Parameters:
      `recordCount` - the new record count

  - ### getLastRefreshedBy

    public String getLastRefreshedBy()
    Gets the last refreshed by.
    Returns:
      the last refreshed by

  - ### setLastRefreshedBy

    public void setLastRefreshedBy​(String lastRefreshedBy)
    Sets the last refreshed by.
    Parameters:
      `lastRefreshedBy` - the new last refreshed by

  - ### getLastRefreshedDate

    public double getLastRefreshedDate()
    Gets the last refreshed date.
    Returns:
      the last refreshed date

  - ### setLastRefreshedDate

    public void setLastRefreshedDate​(double lastRefreshedDate)
    Sets the last refreshed date.
    Parameters:
      `lastRefreshedDate` - the new last refreshed date

  - ### getLastRefreshedVersion

    public int getLastRefreshedVersion()
    Gets the last refreshed version.
    Returns:
      the last refreshed version

  - ### setLastRefreshedVersion

    public void setLastRefreshedVersion​(int lastRefreshedVersion)
    Sets the last refreshed version.
    Parameters:
      `lastRefreshedVersion` - the new last refreshed version

  - ### isRefreshOnLoad

    public boolean isRefreshOnLoad()
    Checks if is refresh on load.
    Returns:
      true, if is refresh on load

  - ### setRefreshOnLoad

    public void setRefreshOnLoad​(boolean refreshOnLoad)
    Sets the refresh on load.
    Parameters:
      `refreshOnLoad` - the new refresh on load

  - ### isSaveData

    public boolean isSaveData()
    Checks if is save data.
    Returns:
      true, if is save data

  - ### setSaveData

    public void setSaveData​(boolean saveData)
    Sets the save data.
    Parameters:
      `saveData` - the new save data

  - ### isSupportAdvancedDrill

    public boolean isSupportAdvancedDrill()
    Checks if is support advanced drill.
    Returns:
      true, if is support advanced drill

  - ### setSupportAdvancedDrill

    public void setSupportAdvancedDrill​(boolean supportAdvancedDrill)
    Sets the support advanced drill.
    Parameters:
      `supportAdvancedDrill` - the new support advanced drill

  - ### isSupportSubquery

    public boolean isSupportSubquery()
    Checks if is support subquery.
    Returns:
      true, if is support subquery

  - ### setSupportSubquery

    public void setSupportSubquery​(boolean supportSubquery)
    Sets the support subquery.
    Parameters:
      `supportSubquery` - the new support subquery

  - ### isStoreCacheForOlapFunctions

    public boolean isStoreCacheForOlapFunctions()
    Checks if is store cache for olap functions.
    Returns:
      true, if is store cache for olap functions

  - ### setStoreCacheForOlapFunctions

    public void setStoreCacheForOlapFunctions​(boolean storeCacheForOlapFunctions)
    Sets the store cache for olap functions.
    Parameters:
      `storeCacheForOlapFunctions` - the new store cache for olap functions

  - ### isUpgradeOnRefresh

    public boolean isUpgradeOnRefresh()
    Checks if is upgrade on refresh.
    Returns:
      true, if is upgrade on refresh

  - ### setUpgradeOnRefresh

    public void setUpgradeOnRefresh​(boolean upgradeOnRefresh)
    Sets the upgrade on refresh.
    Parameters:
      `upgradeOnRefresh` - the new upgrade on refresh

  - ### getPivotCacheRecords

    public PivotCacheRecords getPivotCacheRecords()
    Gets the pivot cache records.
    Returns:
      the pivot cache records

  - ### getPivotCacheFilePath

    public String getPivotCacheFilePath()
    Gets the pivot cache file path.
    Returns:
      the pivot cache file path

  - ### getCacheID

    public int getCacheID()
    Gets the cache id.
    Returns:
      the cache id

  - ### setCacheID

    public void setCacheID​(int cacheID)
    Sets the cache id.
    Parameters:
      `cacheID` - the new cache id